import websiteresource_en_US from '@locale/lanres/entities/web-site-resource/web-site-resource_en_US';
import website_en_US from '@locale/lanres/entities/web-site/web-site_en_US';
import websitecontent_en_US from '@locale/lanres/entities/web-site-content/web-site-content_en_US';
import websitechannel_en_US from '@locale/lanres/entities/web-site-channel/web-site-channel_en_US';
import components_en_US from '@locale/lanres/components/components_en_US';
import codelist_en_US from '@locale/lanres/codelist/codelist_en_US';
import userCustom_en_US from '@locale/lanres/userCustom/userCustom_en_US';

export default {
    app: {
        commonWords:{
            error: "Error",
            success: "Success",
            ok: "OK",
            cancel: "Cancel",
        },
        local:{
            new: "New"
        },
        gridpage: {
            choicecolumns: "Choice columns",
            refresh: "refresh",
            show: "Show",
            records: "records",
            totle: "totle",
        },
        tabpage: {
            sureclosetip: {
                title: "Close warning",
                content: "Form data Changed, are sure close?",
            },
            closeall: "Close all",
            closeother: "Close other",
        },
        fileUpload: {
            caption: "Upload",
        },
        searchButton: {
            search: "Search",
            reset: "Reset",
        },
        calendar:{
          today: "today",
          month: "month",
          week: "week",
          day: "day",
          list: "list",
          dateSelectModalTitle: "select the time you wanted",
          gotoDate: "goto",
        },
        // 非实体视图
        views: {
            website: {
                caption: "站点内容管理",
                title: "站点内容管理",
            },
        },
        utilview:{
            importview:"Import Data",
            warning:"warning",
            info:"Please configure the data import item"    
        },
        menus: {
            website: {
                user_menus: "用户菜单",
                menuitem3: "设置",
                top_menus: "顶部菜单",
                left_exp: "左侧菜单",
                menuitem17: "站点管理",
                menuitem1: "站点频道",
                menuitem5: "站点内容",
                menuitem2: "站点资源",
                bottom_exp: "底部内容",
                footer_left: "底部左侧",
                footer_center: "底部中间",
                footer_right: "底部右侧",
            },
        },
    },
    entities: {
        websiteresource: websiteresource_en_US,
        website: website_en_US,
        websitecontent: websitecontent_en_US,
        websitechannel: websitechannel_en_US,
    },
    components: components_en_US,
    codelist: codelist_en_US,
    userCustom: userCustom_en_US,
};