import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "websitechannelgridview": {
            "title": "站点频道",
            "caption": "站点频道",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteChannelGridView",
            "viewtag": "217b6c971b8e8981b6ed12189607c795"
        },
        "websiteresourcegridview": {
            "title": "站点资源",
            "caption": "站点资源",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteResourceGridView",
            "viewtag": "3aae044bf3c4e3a671ad89955fd060a4"
        },
        "websitechanneltreegridview": {
            "title": "站点频道",
            "caption": "站点频道",
            "viewtype": "DETREEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteChannelTreeGridView",
            "viewtag": "3dd833cae2245eaec339dd13a7aae4de"
        },
        "websitecontenteditview": {
            "title": "站点内容",
            "caption": "站点内容",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteContentEditView",
            "viewtag": "4c92892c16cb5a6470428de20126ccbf"
        },
        "websiteresourceeditview": {
            "title": "站点资源",
            "caption": "站点资源",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteResourceEditView",
            "viewtag": "522fbb98f1202b6544acbd2b91c542ef"
        },
        "websiteeditview": {
            "title": "站点",
            "caption": "站点",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteEditView",
            "viewtag": "97f41e16790401fccbc7d297a6e37e93"
        },
        "websitechannelcontenttreeview": {
            "title": "频道内容",
            "caption": "频道内容",
            "viewtype": "DETREEEXPVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteChannelContentTreeView",
            "viewtag": "9b9de8c2724ef66a73380159197e7d72"
        },
        "websitechanneleditview": {
            "title": "站点频道",
            "caption": "站点频道",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteChannelEditView",
            "viewtag": "a7a0d344965e73bc3007248ca2cfdfa9"
        },
        "websitegridview": {
            "title": "站点",
            "caption": "站点",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteGridView",
            "viewtag": "ae5751b832d4b1fcd33a2195a2425390"
        },
        "websitecontentgridview": {
            "title": "站点内容",
            "caption": "站点内容",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteContentGridView",
            "viewtag": "d3e1d08292c9d8474b8b6ef7b161b045"
        },
        "websitechanneltreegridexview": {
            "title": "站点频道",
            "caption": "站点频道",
            "viewtype": "DETREEGRIDEXVIEW",
            "viewmodule": "WebSite",
            "viewname": "WebSiteChannelTreeGridExView",
            "viewtag": "d7e02c16521bd2aed0b2719902aa9c81"
        },
        "website": {
            "title": "站点内容管理",
            "caption": "站点内容管理",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "WebSite",
            "viewtag": "E718190B-6ED7-4CE7-8CC5-BDD03F6A9727"
        }
    }];
});