import websiteresource_zh_CN from '@locale/lanres/entities/web-site-resource/web-site-resource_zh_CN';
import website_zh_CN from '@locale/lanres/entities/web-site/web-site_zh_CN';
import websitecontent_zh_CN from '@locale/lanres/entities/web-site-content/web-site-content_zh_CN';
import websitechannel_zh_CN from '@locale/lanres/entities/web-site-channel/web-site-channel_zh_CN';
import components_zh_CN from '@locale/lanres/components/components_zh_CN';
import codelist_zh_CN from '@locale/lanres/codelist/codelist_zh_CN';
import userCustom_zh_CN from '@locale/lanres/userCustom/userCustom_zh_CN';

export default {
    app: {
        commonWords:{
            error: "失败",
            success: "成功",
            ok: "确认",
            cancel: "取消",
        },
        local:{
            new: "新建"
        },
        gridpage: {
            choicecolumns: "选择列",
            refresh: "刷新",
            show: "显示",
            records: "条",
            totle: "共",
        },
        tabpage: {
            sureclosetip: {
                title: "关闭提醒",
                content: "表单数据已经修改，确定要关闭？",
            },
            closeall: "关闭所有",
            closeother: "关闭其他",
        },
        fileUpload: {
            caption: "上传",
        },
        searchButton: {
            search: "搜索",
            reset: "重置",
        },
        calendar:{
          today: "今天",
          month: "月",
          week: "周",
          day: "天",
          list: "列",
          dateSelectModalTitle: "选择要跳转的时间",
          gotoDate: "跳转",
        },
        // 非实体视图
        views: {
            website: {
                caption: "站点内容管理",
                title: "站点内容管理",
            },
        },
        utilview:{
            importview:"导入数据",
            warning:"警告",
            info:"请配置数据导入项" 
        },
        menus: {
            website: {
                user_menus: "用户菜单",
                menuitem3: "设置",
                top_menus: "顶部菜单",
                left_exp: "左侧菜单",
                menuitem17: "站点管理",
                menuitem1: "站点频道",
                menuitem5: "站点内容",
                menuitem2: "站点资源",
                bottom_exp: "底部内容",
                footer_left: "底部左侧",
                footer_center: "底部中间",
                footer_right: "底部右侧",
            },
        },
    },
    entities: {
        websiteresource: websiteresource_zh_CN,
        website: website_zh_CN,
        websitecontent: websitecontent_zh_CN,
        websitechannel: websitechannel_zh_CN,
    },
    components: components_zh_CN,
    codelist: codelist_zh_CN,
    userCustom: userCustom_zh_CN,
};